# MPF< BM_T > Class Template Reference

Marginalized Particle filter. More...

`#include <libPF.h>`

Inheritance diagram for MPF< BM_T >:

[legend]
Collaboration diagram for MPF< BM_T >:

[legend]

List of all members.

## Public Member Functions
| MPF (const RV &rvlin, const RV &rvpf, mpdf &par0, mpdf &obs0, int n, const BM_T &BMcond0)
| Default constructor.
void | bayes (const vec &dt)
| Incremental Bayes rule.
epdf & | _epdf ()
| Returns a pointer to the epdf representing posterior density on parameters. Use with care!
void | set_est (const epdf &epdf0)
| Set postrior of `rvc` to samples from epdf0. Statistics of Bms are not re-computed! Use only for initialization!
void | bayes (mat Dt)
| Batch Bayes rule (columns of Dt are observations).
const RV & | _rv () const
| access function
double | _ll () const
| access function
## Public Attributes
double | SSAT
## Protected Attributes
int | n
| number of particles;
eEmp | est
| posterior density
vec & | _w
| pointer into `eEmp`
Array< vec > & | _samples
| pointer into `eEmp`
mpdf & | par
| Parameter evolution model.
mpdf & | obs
| Observation model.
RV | rv
| Random variable of the posterior.
double | ll
| Logarithm of marginalized data likelihood.
bool | evalll
| If true, the filter will compute likelihood of the data record and store it in `ll` . Set to false if you want to save time.
## Classes
class | mpfepdf
| internal class for MPDF providing composition of eEmp with external components

## Detailed Description

### template<class BM_T>
class MPF< BM_T >

Marginalized Particle filter.

Trivial version: proposal = parameter evolution, observation model is not used. (it is assumed to be part of BM).

## Member Function Documentation

template<class BM_T>

void MPF< BM_T >::bayes | ( | const vec & | dt | ) | `[inline, virtual]`

Incremental Bayes rule.

Parameters:

  | dt | vector of input data

Reimplemented from PF.

References PF::_samples, PF::_w, PF::est, PF::n, PF::par, eEmp::resample(), and mpdf::samplecond().

The documentation for this class was generated from the following file:

- work/mixpp/bdm/estim/libPF.h